pdebuild-user-mode-linux(1)

NAME
pdebuild-user-mode-linux - pbuilder-user-mode-linux way of doing debuild

SYNOPSIS
pdebuild-user-mode-linux [pdebuild-user-mode-linux options] -- [pbuilder-user-mode-linux options]

DESCRIPTION
A convenience program for pbuilder-user-mode-linux which invokes pbuilder after obtaining appropriate root privilege in a Debian source directory. One must be inside the source tree containing the debian directory, in order to make it work.

PDEBUILD OPTIONS

--buildsourceroot [fakeroot]
    The command used to gain root privilege for invoking dpkg-buildpackage

--auto-debsign

    Invoke debsign at the end of pdebuild process.

--debsign-k [key-id]

    Pass -k option to debsign to specify which keyid to sign.

--buildresult [Directory for build results]

    The place which build result is stored.

--configfile [Extra config file to use]

    The configuration file is used, but not passed on to pbuilder-user-mode-linux.

--debbuildopts [options to pass to dpkg-buildpackage]

    The space-delimited list of options are passed to dpkg-buildpackage. This option appends to pbuilder option --debbuildopts and may also be used to reset the list of options by passing the empty string.

--use-pdebuild-internal
    Uses a different implementation of pdebuild, which calls clean and build inside the chroot, using bind-mounts.

    pdebuild-internal tries to run debian/rules clean inside the chroot. To achieve the goal, the working directory is passed on inside the chroot, in the form of bind-mounting and debuild is run.

    This option will not protect the working directory and its parent directories from the build scripts.

-- [pbuilder options]

    After the -- symbol, an arbitrary number of pbuilder options can be specified. See pbuilder-user-mode-linux.1 for full list of options.

    There is an exception that --buildresult needs to be specified as pdebuild option before the -- to be effective.

FILES

/etc/pbuilderrc
    The configuration file for pbuilder-user-mode-linux, used in pdebuild-user-mode-linux.

/usr/share/pbuilder/pbuilderrc
    The default configuration file for pbuilder-user-mode-linux, used in pdebuild-user-mode-linux.

${HOME}/.pbuilderrc
    Configuration file for pbuilder-user-mode-linux, used in pdebuild-user-mode-linux, overrides what is written in /etc/pbuilderrc

AUTHOR
Initial coding, and main maintenance is done by Junichi Uekawa <dancer@debian.org>.

The homepage is available at http://pbuilder.alioth.debian.org

SEE ALSO
/usr/share/doc/pbuilder/pbuilder-doc.html, pbuilder-user-mode-linux(1), pbuilderrc(5), pbuilder-uml.conf(5)